Debian Bug report logs - #214926
O: intel-rng-tools -- Daemon to use the RNG on i810 motherboards

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 9 Oct 2003 12:18:12 UTC

Owned by: Andrew Schulman <andrex@alumni.utexas.net>

Severity: normal

Fixed in version rng-tools/1.0-1

Done: Henrique de Moraes Holschuh <hmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214926; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Viral Shah <viral@debian.org>
Subject: O: intel-rng-tools -- Daemon to use the RNG on i810 motherboards
Date: Thu, 9 Oct 2003 22:13:31 +1000
Package: wnpp
Severity: normal

The current maintainer of intel-rng-tools, Viral Shah
<viral@debian.org>, has orphaned this package.  If you want to be the
new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: intel-rng-tools
Binary: intel-rng-tools
Version: 0.9.1-5
Priority: optional
Section: utils
Maintainer: Viral Shah <viral@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Architecture: i386
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/i/intel-rng-tools
Files: 4333063b6475aa13dd110edb00f228ce 515 intel-rng-tools_0.9.1-5.dsc
 9ae69d740301c865fc063e92ac33894d 43835 intel-rng-tools_0.9.1-5.tar.gz

Package: intel-rng-tools
Priority: optional
Section: utils
Installed-Size: 112
Maintainer: Viral Shah <viral@debian.org>
Architecture: i386
Version: 0.9.1-5
Depends: libc6 (>= 2.2.4-4), makedev (>= 2.3.1-53) | devfsd
Filename: pool/main/i/intel-rng-tools/intel-rng-tools_0.9.1-5_i386.deb
Size: 9526
MD5sum: bb6882b018a5294e8641883a184885af
Description: Daemon to use the RNG on i810 motherboards
 This daemon feeds data from a random number generator to the kernel's
 random number entropy pool, after first checking the data to ensure
 that it is properly random.
 The i810_rng kernel module is required to use this package.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214926; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Schulman <andrex@alumni.utexas.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 214926@bugs.debian.org (full text, mbox):

From: Andrew Schulman <andrex@alumni.utexas.net>
To: 214926@bugs.debian.org
Subject: ITA: intel-rng-tools -- Daemon to use the RNG on i810 motherboards
Date: Wed, 15 Oct 2003 15:22:56 -0400
intel-rng-tools needs updating:

- intel-rng-tools have been renamed to rng-tools
(http://sourceforge.net/projects/gkernel). 

- rng-tools is now available in version 1.0, which includes support
for AMD and VIA processors, as well as newer Intel 8xx chipsets.
(Most of this was probably available in v 0.9.1, but at least it needs
to be documented.)

- The package has exactly one outstanding bug.  It's easily fixed by
updating the device name for the hardware RNG.

- The documentation is two years out of date and contains many
inaccuracies, e.g. in device names, kernel module names, and hardware
requirements.

- The existing package doesn't include the diagnostic tools randstat
and rngtest.

I have no particular familiarity with rngd, but I'm interested to
learn and would like to use it myself.  So I'd like to bring the
package up to date.



Changed Bug title. Request was from Andrew Schulman <andrex@alumni.utexas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Andrew Schulman <andrex@alumni.utexas.net>. Request was from Andrew Schulman <andrex@alumni.utexas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Andrew Schulman <andrex@alumni.utexas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Schulman <andrex@alumni.utexas.net>:
Bug#214926; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Schulman <andrex@alumni.utexas.net>. Full text and rfc822 format available.

Message #21 received at 214926@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Andrew Schulman <andrex@alumni.utexas.net>
Cc: 214926@bugs.debian.org
Subject: intel-rng-tools
Date: Sun, 4 Jan 2004 02:11:18 -0200
Andrew,

I was about to ITP and package rng-tools (and request the removal of
intel-rng-tools).  Are you still interested in fixing this package?
Do you have the package ready and need a sponsor, or something?

I will wait 1 week for a reply, and if that times out, I will probably
upload the new package.  I think this is an important server-class package,
so I want to get something that works with non-ancient kernels in sarge
before the release.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Reply sent to Henrique de Moraes Holschuh <hmh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 214926-close@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: 214926-close@bugs.debian.org
Subject: Bug#214926: fixed in rng-tools 1.0-1
Date: Wed, 18 Feb 2004 00:29:07 -0500
Source: rng-tools
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
rng-tools, which is due to be installed in the Debian FTP archive:

rng-tools_1.0-1.diff.gz
  to pool/main/r/rng-tools/rng-tools_1.0-1.diff.gz
rng-tools_1.0-1.dsc
  to pool/main/r/rng-tools/rng-tools_1.0-1.dsc
rng-tools_1.0-1_i386.deb
  to pool/main/r/rng-tools/rng-tools_1.0-1_i386.deb
rng-tools_1.0.orig.tar.gz
  to pool/main/r/rng-tools/rng-tools_1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 214926@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Henrique de Moraes Holschuh <hmh@debian.org> (supplier of updated rng-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  9 Jan 2004 17:24:24 -0200
Source: rng-tools
Binary: rng-tools
Architecture: source i386
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Changed-By: Henrique de Moraes Holschuh <hmh@debian.org>
Description: 
 rng-tools  - Daemon to use the Intel/AMD/VIA Hardware RNG
Closes: 101389 197506 214926
Changes: 
 rng-tools (1.0-1) unstable; urgency=low
 .
   * New maintainer (closes: #214926);
   * New upstream version:
     + Support new hw_random device in new kernels;
   * And some enhancements to the upstream code, from yours thruly:
     + Use new automake and autoconf, and enable AM_MAINTAINER_MODE;
     + Fix rngd to also do the FIPS 140-1 continuous run test;
     + Add pidfile control;
     + Improve manpage;
   * Rename package to rng-tools;
   * Ack NMUs:
     + closes: #101389;
   * Lots of changes in the packaging, including:
     + Drop partial DevFS support (patches are welcome to implement it
       _properly_).  DevFS users must add the required links or modify the
       initscript themselves (closes: #197506 since it is now irrelevant);
     + Standards-version 3.6.1;
     + Debhelper mode 4;
     + Rewrite README.Debian, and add section about Intel RNGs (contributions
       on other RNGs are welcome);
     + Rewrite copyright file to something that is valid;
     + Update initscript to something more proper for an important system
       service.
Files: 
 b38de43a380a645d0bed130fd9265da9 571 utils optional rng-tools_1.0-1.dsc
 684ef79f306b9ffc2e3d7b7b80aafeb5 41400 utils optional rng-tools_1.0.orig.tar.gz
 adad4f85c7e60ab1b126243b7d241614 78918 utils optional rng-tools_1.0-1.diff.gz
 c0d5ec3b5dd2659462c6fedca91942af 13266 utils optional rng-tools_1.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAJwLz7iXePxzbD+MRApzzAJ95OqfybVzMtwo3pYP5HgiBYlDQIQCgio0H
NKjkgSgjxjdJZQDJ2CnqOlo=
=quUz
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:01:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.